package com.jsh.erp.datasource.mappers;

import com.jsh.erp.datasource.entities.MaterialBatch;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface MaterialBatchMapper extends BaseMapperX<MaterialBatch> {


    /**
     * 根据商品id获取商品批次库存不为0的数据
     * 按生产日期顺序排序
     * @param mid 商品id
     */
    List<MaterialBatch> getMaterialBatchByMaterialId(Long mid);

    /**
     * 根据仓库id和商品id查询商品批次库存
     * @param depotList 仓库id
     * @param mid   商品id
     */
    BigDecimal getInventorySumByDepotAndMid(@Param("depotList") List<Long> depotList,
                                            @Param("mid") Long mid);

}
